var Weather = {
	init: function(id) {
		$.get("/?action=getSK&id="+id, null, function(data){
			$('#sk_swf').html('<iframe height="240" frameborder="0" width="650" scrolling="no" src="/Public/Data/sk/?id='+id+'"></iframe>');
			if (data.err) return;
			$('#sk_state').html('最新实况');
			var arr = ['time', 'wd', 'sd', 'qy', 'fl', 'fxz'];
			for (var i = 0; i < arr.length; i++) {
				$('#sk_'+arr[i]).html(data[arr[i]]);
			}
			$('#sk_wdj').height(data.wdj);
			var fx = {'东风': 'e', '西风': 'w', '南风': 's', '北风': 'n', '东南风': 'se', '东北风': 'ne', '西南风': 'sw', '西北风': 'nw', '西北偏北风': 'nnw', '西北偏西风': 'wnw', '东北偏北风': 'nne', '东北偏东风': 'ene', '西南偏西风': 'wsw', '西南偏南风': 'ssw', '东南偏东风': 'ese', '东南偏南风': 'sse'}[data.fx];
			if (fx) $('#fxp').css('background-image', $('#fxp').css('background-image').replace('bg_weatherwind', fx));
		}, 'json');
	}
};